mscorlib 4.0.0.0 System.Security.Cryptography.SymmetricAlgorithm System.Runtime.CompilerServices.TypeForwardedFrom("System.Core, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089") To be added.

Represents the abstract base class from which all implementations of the Advanced Encryption Standard (AES) must inherit.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Security.Cryptography.Aes To be added.

  Creates a cryptographic object that is used to perform the symmetric algorithm.

  A cryptographic object that is used to perform the symmetric algorithm.

- Method
  4.0.0.0
  System.Security.Cryptography.Aes ``

  Possible values are: "AES", "AesCryptoServiceProvider", "System.Security.Cryptography.AesCryptoServiceProvider", "AesManaged", and "System.Security.Cryptography.AesManaged".

  Creates a cryptographic object that specifies the implementation of AES to use to perform the symmetric algorithm.

  A cryptographic object that is used to perform the symmetric algorithm.

  The name of the specific implementation of AES to use.